package org.xyzh.api.ai.constance;


public enum KnowledgeFileLogAction {
    UPLOAD("upload", "上传文件"),
    DELETE("delete", "删除文件"),
    DOWNLOAD("download", "下载文件"),
    UPDATE("update", "更新文件"),
    SEGMENT_CREATE("segment_create", "创建分段"),
    SEGMENT_UPDATE("segment_update", "更新分段"),
    SEGMENT_DELETE("segment_delete", "更新分段");
    
    private String action;
    private String description;
    private KnowledgeFileLogAction(String action, String description) {
        this.action = action;
        this.description = description;
    }

    public String getAction() {
        return action;
    }

    public String getDescription(){
        return description;
    }

}
